Changes between Version 28 and Version 29 of MovedToGitHub/Building


Ignore:
Timestamp:
Dec 9, 2008, 10:43:53 PM (12 years ago)
Author:
Waldorf
Comment:

automake and autoconf are now optional (when not using svn snapshot)

Legend:

Unmodified
Added
Removed
Modified
  • MovedToGitHub/Building

    v28 v29  
    2929If this is your first time compiling on Unix, you'll need a few basic tools:
    3030 * gcc
    31  * autoconf 2.54 or newer
    3231 * libtool
    33  * automake 1.9 or newer
    3432 * gettext 0.14.1 or newer
    3533 * intltool 0.23 or newer
     34If you're planning to build from SVN:
     35 * automake 1.9 or newer
     36 * autoconf 2.54 or newer
    3637Once you've got the basics out of the way, here are the libraries that Transmission needs to have in order to build:
    3738 * OpenSSL 0.9.8 or newer, preferably ssl or gnutls support.
     
    7879The switches that are available are:
    7980 * '''gtk''' = enables GTK+ client (default)
    80  * '''daemon''' = enables transmission-daemon and transmission-remote client (default)
     81 * '''daemon''' = enables transmission-daemon and *-remote client (default)
    8182 * '''cli''' = enables cli client (default)
    8283 * '''libnotify''' = enables lib notify (default)
    83  * '''nls''' = enables native language support (default)
     84 * '''nls''' = enables native language support (default, if disabled, it removes the dependancy on gettext and intltool)
    8485 * '''mac''' = enables Mac client (default, if possible)
    8586 * '''wx''' = enables wxWidgets client (unsupported)